<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Licensed to the Apache Software Foundation (ASF) under one or more contributor 
	license agreements. See the NOTICE file distributed with this work for additional 
	information regarding copyright ownership. The ASF licenses this file to 
	you under the Apache License, Version 2.0 (the "License"); you may not use 
	this file except in compliance with the License. You may obtain a copy of 
	the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required 
	by applicable law or agreed to in writing, software distributed under the 
	License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS 
	OF ANY KIND, either express or implied. See the License for the specific 
	language governing permissions and limitations under the License. -->
<ivy-module version="2.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
	<info organisation="Brutex Network" module="XServices" status="integration">
	</info>

	<configurations>
		<conf name="default" visibility="public" description="runtime dependencies and master artifact can be used with this conf" extends="runtime,master"/>
		<conf name="master" visibility="public" description="contains only the artifact published by this module itself, with no transitive dependencies"/>
		<conf name="compile" visibility="public" description="this is the default scope, used if none is specified. Compile dependencies are available in all classpaths." extends="master"/>
		<conf name="provided" visibility="public" description="this is much like compile, but indicates you expect the JDK or a container to provide it. It is only available on the compilation classpath, and is not transitive."/>
		<conf name="runtime" visibility="public" description="this scope indicates that the dependency is not required for compilation, but is for execution. It is in the runtime and test classpaths, but not the compile classpath." extends="compile"/>
		<conf name="test" visibility="private" description="this scope indicates that the dependency is not required for normal use of the application, and is only available for the test compilation and execution phases." extends="runtime"/>
		<conf name="system" visibility="public" description="this scope is similar to provided except that you have to provide the JAR which contains it explicitly. The artifact is always available and is not looked up in a repository."/>
		<conf name="sources" visibility="public" description="this configuration contains the source artifact of this module, if any."/>
		<conf name="javadoc" visibility="public" description="this configuration contains the javadoc artifact of this module, if any."/>
		<conf name="optional" visibility="public" description="contains all optional dependencies"/>
	</configurations>
	

	<dependencies defaultconf="*->#(master),master(*)">

		<dependency org="com.sun.xml.bind" name="jaxb-impl" rev="2.2.7"/>    
            
		<dependency org="org.apache.commons" name="commons-lang3" rev="3.1"/>
		<dependency org="commons-configuration" name="commons-configuration" rev="1.10"/>
		<dependency org="commons-net" name="commons-net" rev="3.2"/>
		
		<dependency org="org.apache.ant" name="ant" rev="1.8.4"/>
		<dependency org="org.apache.ant" name="ant-nodeps" rev="1.8.1"/>
		<dependency org="org.apache.ant" name="ant-jsch" rev="1.8.4"/>
		<!--<dependency org="ant-contrib" name="ant-contrib" rev="20020829"/>-->
		<dependency org="org.apache.ant" name="ant-commons-net" rev="1.8.4"/>
            
		<!-- JCS does not define scopes in its pom.xml, thus map any configuration to default -->
		<dependency org="org.apache.jcs" name="jcs" rev="1.3"/>
    
		<!--<dependency org="concurrent" name="concurrent" rev="1.3.4"/> --><!-- needed for JCS -->
            
            
        <dependency org="org.quartz-scheduler" name="quartz" rev="2.2.0"/>
            
        <dependency org="log4j" name="log4j" rev="1.2.17"/>

        <dependency org="org.apache.ws.commons.axiom" name="axiom-api" rev="1.2.14"/>
        <dependency org="org.apache.ws.commons.axiom" name="axiom-impl" rev="1.2.14"/>
        
        <dependency org="jaxen" name="jaxen" rev="1.1.4"/>
        
        <dependency org="org.apache.shiro" name="shiro-core" rev="1.2.2"/>
        <dependency org="org.apache.shiro" name="shiro-web" rev="1.2.2"/>
        <dependency org="org.slf4j" name="slf4j-log4j12" rev="1.6.6"/> <!-- Binding to Log4J -->
            
        <dependency org="org.apache.cxf" name="cxf-rt-core" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-transports-http" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-databinding-aegis" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-frontend-jaxrs" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-frontend-jaxws" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-rs-security-sso-saml" rev="2.7.0"/>
            
                 
   		<dependency org="rhino" name="js" rev="1.7R2"/>
            

        <!--
        <dependency org="org.apache.cxf" name="cxf-rt-bindings-soap" rev="2.7.0"/>
        <dependency org="org.apache.cxf" name="cxf-rt-databinding-jaxb" rev="2.7.0"/>
        -->
            
        <dependency org="org.springframework" name="spring-web" rev="3.0.7.RELEASE"/>
            
		 <!-- 
		<dependency org="javax.transaction" name="jta" rev="1.0.1B" />
		<dependency org="javax.sql" name="jdbc-stdext" rev="2.0" />		
		-->

		<!-- 
			Locally managed libraries
		-->
		<dependency org="lib" name="java-unrar" rev="0.3" conf="*->*">
			<artifact name="java-unrar" type="jar" />
		</dependency>
		<dependency org="lib" name="lib.cvsclient" rev="20131001" conf="*->*">
			<artifact name="lib.cvsclient" type="jar" />
		</dependency>
		<dependency org="lib" name="lib.xservices-scmtypes" rev="20131001" conf="*">
			<artifact name="lib.xservices-scmtypes" type="jar" />
		</dependency>

	</dependencies>
</ivy-module>
